# Command: getPGRP

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    getPGRP - Get process group ID of the current process

Synopsis:

    getPGRP ->	-

Examples:

    (I am member of process group #) =only getPGRP =

Description:

    Returns the process group ID for the calling process.

Parameters:

    -

Bugs:

    -

Diagnostics:

    A call to "getPGRP" should never produce an error.

Author:

    R Kupper

FirstVersion:

    Apr 18 2000

SeeAlso:

- fork
- getPID
- kill

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/sli/processes.h

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative